These are chat archives for kephale/brevis

17th
Aug 2015
Caue Rego
@cauerego
Aug 17 2015 23:16
well, got a warning, for many different classes. No idea which compiler it is talking about:
warning: org/ojalgo/access/Access2D.class(org/ojalgo/access:Access2D.class): major version 51 is newer than 50, the highest major version supported by this compiler.
It is recommended that the compiler be upgraded.
and then an error:
11 warnings
Exception in thread "main" java.lang.UnsupportedClassVersionError: org/ojalgo/matrix/BasicMatrix : Unsupported major.minor version 51.0, compiling:(brevis/utils.clj:14:3)
    at clojure.lang.Compiler.analyzeSeq(Compiler.java:6651)
Kyle I S Harrington
@kephale
Aug 17 2015 23:55
ah that looks like you're using java6 instead of java7 (we're actually likely to bump up to java8 before long)
Caue Rego
@cauerego
Aug 17 2015 23:55
dam, I think I just updated java…. annoying java updates
but no clue
ya, it’s 6
jre 1.6
I wonder if they ever going to make java 2